package dev.adriankuta.flights.ui

import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Surface
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import dev.adriankuta.flights.FlightsNavGraph
import dev.adriankuta.flights.ui.designsystem.theme.Elevation

@Composable
fun FlightsApp(
    modifier: Modifier = Modifier,
) {
    Surface(
        tonalElevation = Elevation.Surface,
        modifier = modifier,
    ) {
        Scaffold(
            snackbarHost = { InAppUpdates() },
        ) { paddingValues ->
            FlightsNavGraph(Modifier.padding(paddingValues))
        }
    }
}
